For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETGet market bbo
        • GETGet market bbo including all orders including RPI (as seen by the UI)
        • GETFunding data history
        • GETList available markets
        • GETOHLCV for a symbol
        • GETList available markets summary
        • GETGet market orderbook
        • GETGet market impact price
        • GETGet market interactive orderbook
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceMarkets

Get market bbo

GET
https://api.testnet.paradex.trade/v1/bbo/:market
GET
/v1/bbo/:market
$curl -X GET https://api.testnet.paradex.trade/v1/bbo/{market} \
> -H 'Accept: application/json'
1{
2 "ask": "30130.15",
3 "ask_size": "0.05",
4 "bid": "30112.22",
5 "bid_size": "0.04",
6 "last_updated_at": 1681493939981,
7 "market": "BTC-USD-PERP",
8 "seq_no": 20784
9}

Get the best bid/ask for the given market

Was this page helpful?
Previous

Get market bbo including all orders including RPI (as seen by the UI)

Next
Built with

Path parameters

marketstringRequired

Market symbol - ex: BTC-USD-PERP

Response

OK
askstring
Best ask price
ask_sizestring
Best ask size
bidstring
Best bid price
bid_sizestring
Best bid size
last_updated_atinteger
Last update to the orderbook in milliseconds
marketstring
Symbol of the market
seq_nointeger
Sequence number of the orderbook

Errors

400
Bad Request Error